- NAME
- SYNOPSIS
- DESCRIPTION
- BUGS
- AUTHOR

# NAME

PDL::Graphics::TriD::VRML -- TriD VRML backend

# SYNOPSIS

      BEGIN { $PDL::Graphics::TriD::device = "VRML"; }

      use PDL::Graphics::TriD;
      use PDL::LiteF;

      # set some vrml parameters
      my $set = tridsettings(); # get the defaults
      $set->browser_com('netscape/unix');
      $set->compress();
      $set->file('/www-serv/vrml/dynamic_scene.wrl.gz');

      line3d([$x,$y,$z]); # plot some lines and view the scene with a browser

# DESCRIPTION

This module implements the VRML for PDL::Graphics::TriD (the generic 3D plotting interface for PDL). You can use this backend either (a) for generating 3D graphics on your machine which can be directly viewed with a VRML browser or (b) generate dynamic VRML worlds to distribute over the web.

With VRML, you can generate objects for everyone to see with e.g. Silicon Graphics' Cosmo Player. You can find out more about VRML at `http://vrml.sgi.com/` or `http://www.vrml.org/`

# BUGS

Probably incomplete/buggy implementation of some TriD features.

# AUTHOR

Copyright (C) 1997, 1998 Christian Soeller (c.soeller@auckland.ac.nz) All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.